> For the complete documentation index, see [llms.txt](https://docs.omics.ai/products/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.omics.ai/products/workbench/entities.md).

# Entities

## Storage Entities

```
public class StorageAccount {
  private String id;
  private String namespace;
  private Instant createdAt;
  private Instant lastUpdatedAt;
  private String name;
  private Provider provider; 
  private StorageAccountCredentials credentials;
}
```

```
public abstract class StorageAccountCredentials {
  private String storageId;
  private Instant createdAt;
  private Instant lastUpdatedAt;
  private String type
}
```

```
public class Platform {
  private String id;
  private String name;
  private Instant createdAt;
  private Instant lastUpdatedAt;
  private String storageId
  private String namespace;
  private PlatformTye type 
}
```

```
public enum PlatformType {
   PACBIO 
}
```

## Sample Entities

```
public class Sample {
  private String id;
  private String namespace;
  private Instant createdAt;
  private Instant lastUpdatedAt;
  private List<SampleFile> files;  
}
```

```
public class SampleFile {
  private String sampleId;
  private String namespace;
  private String path;
  private String platformId;
  private String instrumentId;
}

```

## Instrument Entities

```
public class Instrument {
  private String id;
  private String platformConnectionId
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.omics.ai/products/workbench/entities.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
